> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deployment Queue Request By EnvironmentId



## OpenAPI

````yaml /api-reference/openapi.yaml get /environment/{environmentId}/deploymentQueue
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Secret Manager Access
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /environment/{environmentId}/deploymentQueue:
    parameters:
      - schema:
          type: string
          format: uuid
        name: environmentId
        in: path
        required: true
    get:
      tags:
        - Environment Main Calls
      summary: List Deployment Queue Request By EnvironmentId
      operationId: listDeploymentRequestByEnvironmentId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    x-stoplight:
                      id: zbjhuwhtkvxkj
                    items:
                      $ref: '#/components/schemas/QueuedDeploymentRequestWithStages'
components:
  schemas:
    QueuedDeploymentRequestWithStages:
      title: QueuedDeploymentRequestWithStages
      x-stoplight:
        id: ididqvn23k30w
      type: object
      required:
        - identifier
        - auditing_data
        - trigger_action
        - stages
      properties:
        identifier:
          x-stoplight:
            id: 0knkd1kmqqc02
          type: object
          required:
            - deployment_request_id
            - environment_id
          properties:
            deployment_request_id:
              type: string
              x-stoplight:
                id: p9kpe6jw19qcu
              format: uuid
            environment_id:
              type: string
              x-stoplight:
                id: vrz81gxwvya9i
              format: uuid
        auditing_data:
          type: object
          x-stoplight:
            id: 0npwbfsta4xai
          required:
            - triggered_by
          properties:
            triggered_by:
              type: string
              x-stoplight:
                id: hfi1kibghpsc3
            origin:
              $ref: '#/components/schemas/OrganizationEventOrigin'
        trigger_action:
          $ref: '#/components/schemas/DeploymentHistoryTriggerAction'
        stages:
          type: array
          x-stoplight:
            id: snkercfc1t8iq
          items:
            x-stoplight:
              id: ym6jl6374zowd
            type: object
            required:
              - name
              - status
              - services
            properties:
              name:
                type: string
                x-stoplight:
                  id: 7p40i9fzfddii
              status:
                $ref: '#/components/schemas/StageStatusEnum'
              services:
                type: array
                x-stoplight:
                  id: 8cnjdpbn1xllp
                items:
                  x-stoplight:
                    id: yn2f0fy77v6gj
                  type: object
                  required:
                    - identifier
                    - status
                  properties:
                    identifier:
                      type: object
                      x-stoplight:
                        id: 2qiq6p8loxy0n
                      required:
                        - service_id
                        - service_type
                        - name
                      properties:
                        service_id:
                          type: string
                          x-stoplight:
                            id: ixyztl7bo1e7r
                          format: uuid
                        service_type:
                          $ref: '#/components/schemas/ServiceTypeEnum'
                        name:
                          type: string
                          x-stoplight:
                            id: rqj252xn7e17p
                    status:
                      $ref: '#/components/schemas/StageStatusEnum'
                    icon_uri:
                      type: string
                      x-stoplight:
                        id: vr9mfika0841x
                    details:
                      x-stoplight:
                        id: 8pjqibbjgziqn
                      oneOf:
                        - description: JobDetails
                          x-stoplight:
                            id: ibi93dbff8m63
                          type: object
                          required:
                            - job_type
                          properties:
                            job_type:
                              x-stoplight:
                                id: tg4bw75mf4084
                              enum:
                                - CRON
                                - LIFECYCLE
                      type: object
    OrganizationEventOrigin:
      type: string
      description: Origin of the organization event
      enum:
        - API
        - CLI
        - CONSOLE
        - GIT
        - QOVERY_INTERNAL
        - TERRAFORM_PROVIDER
      example: API
    DeploymentHistoryTriggerAction:
      x-stoplight:
        id: 1hzy6riqo7lq4
      enum:
        - DEPLOY
        - DELETE
        - RESTART
        - STOP
        - DEPLOY_DRY_RUN
        - TERRAFORM_FORCE_UNLOCK
        - TERRAFORM_MIGRATE_STATE
        - DELETE_RESOURCES_ONLY
        - UNKNOWN
        - UNINSTALL
    StageStatusEnum:
      type: string
      x-stoplight:
        id: lv5pyjmui11rn
      enum:
        - QUEUED
        - ONGOING
        - DONE
        - ERROR
        - SKIPPED
        - CANCELED
    ServiceTypeEnum:
      type: string
      x-stoplight:
        id: d66063cd29913
      description: type of the service (application, database, job, ...)
      enum:
        - APPLICATION
        - DATABASE
        - CONTAINER
        - JOB
        - HELM
        - TERRAFORM
        - ARGOCD_APP
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````